Subject: Re: bug#12025: 24.1; Crash when using tootipshow

From: martin rudalics <[email-masked]>
Date: Thu, 16 Aug 2012 11:37:10 +0200

> I guess the check is too aggressive.  I moved it into the functions that
 > ought to signal an error if called on a window on a dead frame
 > (specifically window-edges, window-pixel-edges,
 > window-absolute-pixel-edges, delete-other-windows-internal, and
 > delete-window-internal).

I now checked in a different fix which checks windows for validity.  If
we still see bugs/crashes these should come from either of two sources:

(1) A not fully established frame.  In this case we should avoid calling
     the function from there as I did with the Fset_window_buffer calls.

(2) A dead frame.  In this case there's a bug in the frame deletion
     routine which should render any window on that frame invalid and
     it's that part that has to be fixed.

martin